Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class StructuredSyntaxHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          groovy.ui.text.StructuredSyntaxHandler

    public class StructuredSyntaxHandler
    extends DefaultHandler

Authors:
  Evan "Hippy" Slatis

Field Summary
`static String` | `ALIGNMENT`
`static String` | `ALIGN_CENTER`
`static String` | `ALIGN_JUSTIFIED`
`static String` | `ALIGN_LEFT`
`static String` | `ALIGN_RIGHT`
`static String` | `BACKGROUND`
`static String` | `BIDI_LEVEL`
`static String` | `BOLD`
`static String` | `COMPONENT_ATTRIBUTE`
`static String` | `COMPONENT_ELEMENT_NAME`
`static String` | `COMPOSED_TEXT_ATTRIBUTE`
`static String` | `FIRST_LINE_INDENT`
`static String` | `FONT_FAMILY`
`static String` | `FONT_SIZE`
`static String` | `FOREGROUND`
`static String` | `ICON_ATTRIBUTE`
`static String` | `ICON_ELEMENT_NAME`
`static String` | `ITALIC`
`static String` | `LEFT_INDENT`
`static String` | `LINE_SPACING`
`static String` | `MODEL_ATTRIBUTE`
`static String` | `NAME_ATTRIBUTE`
`static String` | `ORIENTATION`
`static String` | `REGEXP`
`static String` | `RESOLVE_ATTRIBUTE`
`static String` | `RIGHT_INDENT`
`static String` | `SPACE_ABOVE`
`static String` | `SPACE_BELOW`
`static String` | `STRIKE_THROUGH`
`static String` | `STYLE`
`static String` | `SUBSCRIPT`
`static String` | `SUPERSCRIPT`
`static String` | `TAB_SET`
`static String` | `UNDERLINE`

Constructor Summary
`StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)` Creates a new instance of MasterFrameHandler

Method Summary
`void` | `characters(char[] ch, int start, int length)` @param ch
`void` | `endDocument()` @throws SAXException
`void` | `endElement(String uri, String localName, String qName)` @param uri
`void` | `error(SAXParseException e)` @param e
`void` | `startDocument()` @throws SAXException
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)` @param uri

Methods inherited from class DefaultHandler
error, warning, characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, resolveEntity, fatalError, notationDecl, unparsedEntityDecl, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ALIGNMENT

    public static final String ALIGNMENT

### ALIGN_CENTER

    public static final String ALIGN_CENTER

### ALIGN_JUSTIFIED

    public static final String ALIGN_JUSTIFIED

### ALIGN_LEFT

    public static final String ALIGN_LEFT

### ALIGN_RIGHT

    public static final String ALIGN_RIGHT

### BACKGROUND

    public static final String BACKGROUND

### BIDI_LEVEL

    public static final String BIDI_LEVEL

### BOLD

    public static final String BOLD

### COMPONENT_ATTRIBUTE

    public static final String COMPONENT_ATTRIBUTE

### COMPONENT_ELEMENT_NAME

    public static final String COMPONENT_ELEMENT_NAME

### COMPOSED_TEXT_ATTRIBUTE

    public static final String COMPOSED_TEXT_ATTRIBUTE

### FIRST_LINE_INDENT

    public static final String FIRST_LINE_INDENT

### FONT_FAMILY

    public static final String FONT_FAMILY

### FONT_SIZE

    public static final String FONT_SIZE

### FOREGROUND

    public static final String FOREGROUND

### ICON_ATTRIBUTE

    public static final String ICON_ATTRIBUTE

### ICON_ELEMENT_NAME

    public static final String ICON_ELEMENT_NAME

### ITALIC

    public static final String ITALIC

### LEFT_INDENT

    public static final String LEFT_INDENT

### LINE_SPACING

    public static final String LINE_SPACING

### MODEL_ATTRIBUTE

    public static final String MODEL_ATTRIBUTE

### NAME_ATTRIBUTE

    public static final String NAME_ATTRIBUTE

### ORIENTATION

    public static final String ORIENTATION

### REGEXP

    public static final String REGEXP

### RESOLVE_ATTRIBUTE

    public static final String RESOLVE_ATTRIBUTE

### RIGHT_INDENT

    public static final String RIGHT_INDENT

### SPACE_ABOVE

    public static final String SPACE_ABOVE

### SPACE_BELOW

    public static final String SPACE_BELOW

### STRIKE_THROUGH

    public static final String STRIKE_THROUGH

### STYLE

    public static final String STYLE

### SUBSCRIPT

    public static final String SUBSCRIPT

### SUPERSCRIPT

    public static final String SUPERSCRIPT

### TAB_SET

    public static final String TAB_SET

### UNDERLINE

    public static final String UNDERLINE

Constructor Detail

### StructuredSyntaxHandler

    public StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)

  Creates a new instance of MasterFrameHandler
  Parameters:
    filter

Method Detail

### characters

    public void characters(char[] ch, int start, int length)

  Parameters:
    ch
    start
    length

### endDocument

    public void endDocument()

  throws:
    SAXException

### endElement

    public void endElement(String uri, String localName, String qName)

  throws:
    SAXException
  Parameters:
    uri
    localName
    qName

### error

    public void error(SAXParseException e)

  throws:
    SAXException
  Parameters:
    e

### startDocument

    public void startDocument()

  throws:
    SAXException

### startElement

    public void startElement(String uri, String localName, String qName, Attributes attributes)

  throws:
    SAXException
  Parameters:
    uri
    localName
    qName
    attributes

Copyright © 2003-2010 The Codehaus. All rights reserved.